Subject: Offline Message from Dennis Boothe: My name is Dennis Boothe with Mecca Clink
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 07 Sep 2022 00:08:53 -0000

From: Dennis Boothe <[email-masked]>
Phone: 3478589989
Location: Brooklyn, United States
URL: https://swagtron.com/
Department: SwagTron

My name is Dennis Boothe with Mecca Clinkscales.  A replacement scooter was sent to me but sent to the wrong address.  I moved and assumed that swagtron would send my scooter to the address of the credit card payment. I (Dennis Boothe made the payment) But it was sent to the original address where we used to live when Mecca ordered it over a year ago which is:
1152 St. Marks ave, apt 2R
Brooklyn, NY 11213

UPS said that swagtron put a restriction on the package that says the package can not be changed and delivered somewhere else.

Can swagtron get in touch with UPS and have them send my scooter to:

1051 Willmohr street
#2
Brooklyn, NY 11212

The tracking number is 1ZX865V00397021739

I am leaving the country on 8/17 I do not want this to go back to be reshipped and someone steals it while I'm gone.

----
Zopim
https://www.zopim.com